%undefine __cmake_in_source_build

Summary: A Tier 1 KDE Frameworks module wrapping ModemManager DBus API
Name:    kf5-modemmanager-qt
Version: 5.110.0
%global  majmin %majmin_ver_kf5
%global  stable %stable_kf5
Release: 1%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/modemmanager-qt
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/modemmanager-qt-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros >= %{majmin}
BuildRequires:  ModemManager-devel >= 1.0.0
BuildRequires:  qt5-qtbase-devel

Requires:       kf5-filesystem >= %{majmin}



%description
A Qt 5 library for ModemManager.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       ModemManager-devel
Requires:       qt5-qtbase-devel

%description    devel
Qt 5 libraries and header files for developing applications
that use ModemManager.



%prep
%autosetup -n modemmanager-qt-%{version}



%build
%cmake_kf5
%cmake_build



%install
%cmake_install



%files
%license LICENSES/*.txt
%doc README README.md
%{_kf5_datadir}/qlogging-categories5/*categories
%{_kf5_datadir}/qlogging-categories5/*.categories
%{_kf5_libdir}/libKF5ModemManagerQt.so.*

%files devel
%{_kf5_libdir}/libKF5ModemManagerQt.so
%{_kf5_libdir}/cmake/KF5ModemManagerQt/
%{_kf5_includedir}/ModemManagerQt/



%changelog
* Thu Dec 21 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial